Bug 194574 - Lost connection to Evolution Exchange backend process
Lost connection to Evolution Exchange backend process
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-06-14 03:01 EDT by Eugene Roux
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-connector-2.6.3-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 07:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 346120 None None None Never

  None (edit)
Description Eugene Roux 2006-06-14 03:01:53 EDT
Description of problem:

Note: This was logged as Bug ID 194592 before the DB crash.

When attempting to use Evolution Connector 2.6.2 under FC5 I get the dreaded:

> Error while Scanning folders in "Exchange server foo.bar.baz".
> Lost connection to Evolution Exchange backend process


Running "E2K_DEBUG=4 `locate evolution-exchange-storage`" seems to indicate the
the connector, itself, if quite cheerily keeping on chatting to the Exchange
server while scanning the public folders (of which the Exchange Server seems to
have quite a couple).

Running "E2K_DEBUG=m evolution", on the other hand, complains about a couple of
cases of "camel_exception_get_id called with NULL parameter." before it hands me
the following two entries:

> (evolution-2.6:5621): evolution-mail-WARNING **: Error occurred while existing
dialogue active:
> Lost connection to Evolution Exchange backend process


> (evolution-2.6:5621): evolution-mail-WARNING **: Error getting folder info
from store: Lost connection to Evolution Exchange backend process

Strangely enough, forcing a downgrade to Connector 2.6.1 and creating the
required links to libraries required by it allows Evolution to run just fine,
barring the occational run-away proccess.

Version-Release number of selected component (if applicable):

Comment 1 Eugene Roux 2006-06-14 03:57:58 EDT
The Ubuntu Launchpad bug:
Comment 2 John Horne 2006-06-14 06:41:24 EDT
Re comment 1 - No I think that is a separate problem. This bug connects to the
server and then fails, in your case it doesn't connect. Look at some of the
duplicated evolution bugs listed in this bugzilla. The problem has been referred
to the people at gnome and is being worked on.

I too have *this* bug. However, our evolution server has a lot of public
folders, and when yum upgraded evolution to the latest release it started to
download all the folders. My home .evolution folder is currently almost a
gigabyte in size because of this!

I have downgraded evo to the previous version and it works fine.

Comment 3 Eugene Roux 2006-06-14 09:10:18 EDT
On further investigation I concur, the bugs are similar on a superficial level only.

What seems to be happening in my case is that the connector is trying to sync
the public folders of the exchange connector to a local cache (not a good idea
as mentioned by <a
since there is no guarantee that the local system's capable of handling the
potential amount of data) and that Evolution then times out waiting for the

I've reverted Evolution back to 2.6.1 in totality (which upset gnome-panel
slightly) and all seems well again.
Comment 4 Eugene Roux 2006-08-10 05:19:03 EDT
I've installed Evolution 2.6.3 from Updates-Testing and it seems to have
resolved the issues completely. From my perspective this bug has now been resolved.
Comment 5 John Horne 2006-08-11 05:53:11 EDT
Agreed, the updates-testing repo versions of evolution, evolution-data-server,
and evolution-connector install fine and seem to have resolved the problem. The
calendaring between evolution and Exchange also seems to work again :-)

Many thanks to the people involved.


Note You need to log in before you can comment on or make changes to this bug.